# $Revision: 1.14 $, $Date: 2011/08/21 19:06:05 $
Summary:	TIS-620 encoding support for xpdf
Summary(pl.UTF-8):	Obsługa kodowania TIS-620 dla xpdf
Name:		xpdf-thai
Version:	20110815
Release:	1
License:	GPL v2 or GPL v3
Group:		X11/Applications
Source0:	ftp://ftp.foolabs.com/pub/xpdf/%{name}-2011-aug-15.tar.gz
# Source0-md5:	57fc888436f19cdf4a68ef17c17b86b7
URL:		http://www.foolabs.com/xpdf/
Requires(post,preun):	grep
Requires(post,preun):	xpdf
Requires(preun):	fileutils
Requires:	xpdf
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Xpdf language support packages include CMap files, text encodings,
and various other configuration information necessary or useful for
specific character sets. (They do not include any fonts.)
This package provides support files needed to use the Xpdf tools with
Thai PDF files.

%description -l pl.UTF-8
Pakiety wspierające języki Xpdf zawierają pliki CMap, kodowania oraz
różne inne informacje konfiguracyjne niezbędne bądź przydatne przy
określonych zestawach znaków (nie zawierają żadnych fontów).
Ten pakiet zawiera pliki potrzebne do używania narzędzi Xpdf z
tajskimi plikami PDF.

%prep
%setup -q -n %{name}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xpdf

install *.unicodeMap $RPM_BUILD_ROOT%{_datadir}/xpdf
install *.nameToUnicode $RPM_BUILD_ROOT%{_datadir}/xpdf

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
if [ ! -f /etc/xpdfrc ]; then
	echo 'unicodeMap	TIS-620	/usr/share/xpdf/TIS-620.unicodeMap' >> /etc/xpdfrc
	echo 'nameToUnicode		/usr/share/xpdf/Thai.nameToUnicode' >> /etc/xpdfrc
else
 if ! grep -q 'TIS-620\.unicodeMap' /etc/xpdfrc; then
	echo 'unicodeMap	TIS-620	/usr/share/xpdf/TIS-620.unicodeMap' >> /etc/xpdfrc
 fi
 if ! grep -q 'Thai\.nameToUnicode' /etc/xpdfrc; then
	echo 'nameToUnicode		/usr/share/xpdf/Thai.nameToUnicode' >> /etc/xpdfrc
 fi
fi

%preun
if [ "$1" = "0" ]; then
	umask 022
	grep -v 'TIS-620\.unicodeMap' /etc/xpdfrc > /etc/xpdfrc.new
	grep -v 'Thai\.nameToUnicode' /etc/xpdfrc.new > /etc/xpdfrc
	rm -f /etc/xpdfrc.new
fi

%files
%defattr(644,root,root,755)
%doc README add-to-xpdfrc
%{_datadir}/xpdf/TIS-620.unicodeMap
%{_datadir}/xpdf/Thai.nameToUnicode

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xpdf-thai.spec,v $
Revision 1.14  2011/08/21 19:06:05  qboosh
- updated to 2011-aug-15 (as Version: 20110815)

Revision 1.13  2007/09/05 13:27:52  baggins
- rel 4

Revision 1.12  2007/02/12 22:09:25  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.10  2004/01/25 01:23:14  gotar
- updated

Revision 1.9  2003/08/18 08:09:40  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/07/31 08:38:08  gotar
- fixed %preun scripts,
- release++.

Revision 1.7  2003/05/28 13:03:12  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:28:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/03/15 22:31:46  gotar
- BuildArch: noarch,
- release++.

Revision 1.4  2003/02/11 20:08:24  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.3  2003/01/19 00:04:19  gotar
- fixed %post and %preun scripts

Revision 1.2  2003/01/18 22:58:56  juandon
- removed two lines with define

Revision 1.1  2002/09/09 12:38:46  gotar
- initial PLD release, STBR.
